var request = require("request");

module.exports = function (location) {
    return new Promise(function (resolve, reject) {

        var encodedLocation = encodeURIComponent(location);
        var url = "http://api.openweathermap.org/data/2.5/weather?q=" + encodedLocation + ",tr&appid=5c1093a6f30891eda04dc3db21ea5e48&units=metric";

        if (!location) {
            return reject("Lokasyon bilgisi girilmedi..");
        }

        request({
            url: url,
            json: true
        }, function (error, response, body) {

            if (error) {
                reject("Hava durumu alınamadı!!");
            } else {
                resolve(body.name + " 'da hava sıcaklığı : " + body.main.temp);
            }
        });

    })
}